import React, { useContext } from 'react';
import QuizContext from '../CioQuiz/context';
export default function ResultCtaButton(props) {
    const { item, className, price } = props;
    const { addToCart } = useContext(QuizContext);
    return (React.createElement("button", { type: 'button', className: `cio-result-card-cta-button ${className || ''}`, onClick: (e) => {
            if (addToCart) {
                addToCart(e, item, price);
            }
        } }, "Add to Cart"));
}
