"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const RedoSVG_1 = tslib_1.__importDefault(require("./RedoSVG"));
function RedoButton(props) {
    const { redoText = 'Redo Quiz', disabled } = props, rest = tslib_1.__rest(props, ["redoText", "disabled"]);
    return (react_1.default.createElement("button", Object.assign({ type: 'button', className: `${disabled ? 'cio-question-redo-button disabled' : 'cio-question-redo-button'}` }, rest),
        react_1.default.createElement(RedoSVG_1.default, null),
        react_1.default.createElement("span", null, redoText)));
}
exports.default = RedoButton;
