"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
function ResultCtaButton(props) {
    const { item, className, price } = props;
    const { addToCart } = (0, react_1.useContext)(context_1.default);
    return (react_1.default.createElement("button", { type: 'button', className: `cio-result-card-cta-button ${className || ''}`, onClick: (e) => {
            if (addToCart) {
                addToCart(e, item, price);
            }
        } }, "Add to Cart"));
}
exports.default = ResultCtaButton;
